Ticket #44400

MacOS: hbinstall.sh

Eröffnet am: 2022-04-17 11:08 Letztes Update: 2022-05-04 04:42

Auswertung:
Verantwortlicher:
(Keine)
Typ:
Status:
Offen
Komponente:
Meilenstein:
(Keine)
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Keine
Datei:
4

Details

Split from #44399: Provide hbinstall.sh script to install homebrew environment for MacOS .app building.

Split from the main ticket, because:
- It works independently
- It alone can be used to improve the process of creating MacOS .apps (replaces manual step)
- Unlike main ticket, I think this can go directly to S3_0 too
- No point in delaying making this part available while I try to get main script to work

Ticket-Verlauf (3/9 Historien)

2022-04-17 11:08 Aktualisiert von: cazfi
  • New Ticket "MacOS: hbinstall.sh" created
2022-04-17 11:18 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

For master/S3_1 script, the list of packages to install has been copied from what macOS CI build installs, minus gtk4 that we don't need yet.

S3_0 version has not been tested at all. It differs from the S3_1/master one only by versions of lua and qt.

2022-04-27 20:46 Aktualisiert von: cazfi
  • Lösung Update from Accepted to Keine
Kommentar

Dean tested the script, and listed some issues in freeciv-dev mails:

https://www.freelists.org/post/freeciv-dev/Freeciv-for-macOS,37
https://www.freelists.org/post/freeciv-dev/Freeciv-for-macOS,38

Latter is about missing "adwaita-icon-theme" package - we may want to add that to our CI job's environment too.

2022-04-27 22:38 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

New patch versions attached
- Corrected paths
- install adwaita-icon-theme

2022-05-04 04:42 Aktualisiert von: cazfi
  • Verantwortlicher Update from cazfi to (Keine)
  • Lösung Update from Accepted to Keine
  • Meilenstein Update from 3.0.2 (closed) to (Keine)
Kommentar

With ddeanbrown's changed plans about the macOS packaging, this is now on hold. Likely to get dropped completely.

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden